<template>
  <MainLayout>
    <template v-slot:header>
      <q-header bordered class="bg-primary text-white" style="height: 45px;">
        <q-toolbar>
          <q-btn dense size="md" flat round :icon="drawer ?  'la la-bars' : 'la la-bars'"
                 @click="drawer = !drawer"/>
          <q-toolbar-title class="text-secondary text-bold">{{ applicationTitle }}
            <switch-company/>
          </q-toolbar-title>

          <div class="q-mr-lg">

          </div>
          <q-space/>
          <div class="q-mr-lg">
            <q-btn flat dense round>
              <q-icon name="la la-bell"/>
              <q-badge color="red" floating>4</q-badge>
            </q-btn>
          </div>
          <AppUserInfo/>
        </q-toolbar>
      </q-header>
    </template>

    <template v-slot:sidebar>
      <q-drawer show-if-above v-model="drawer" side="left" bordered :width="270">
        <!-- drawer content -->
        <app-menu/>
      </q-drawer>
    </template>
    <template v-slot:footer>
      <q-footer class="shadow-5 text-right">
        <q-toolbar dense flat style="min-height: 20px; max-height: 20px; padding-bottom: 5px">
          <q-toolbar-title>
            <span class="text-subtitle2 text-secondary" slot>&copy; 2021 QUASAR-BOILERPLATE v{{ appVersion }} | {{ mode }}</span>
          </q-toolbar-title>
        </q-toolbar>
      </q-footer>
    </template>

  </MainLayout>
</template>

<script>
import MainLayout from "./MainLayout";
import {mapFields} from "vuex-map-fields";
import AppMenu from "components/Menu/AppMenu";
import AppUserInfo from "components/AppUserInfo";
import {mapState} from "vuex";
import SwitchCompany from "components/SwitchCompany";

export default {
  name: 'AppsLayout',
  components: {SwitchCompany, AppUserInfo, AppMenu, MainLayout},
  meta: {
    title: 'SFP-GRH',
    titleTemplate: title => `${title}`,
  },

  data() {
    return {
      appVersion: '0.0.1',
      mode: 'Dev'
    }
  },

  methods: {},

  computed: {
    login() {
      return this.currentUser.email || 'Anonymous'
    },
    fullName() {
      return get(this.currentUser, 'full_name')// || 'Anonymous'
    },
    ...mapFields('application', ['drawer', 'applicationTitle']),
    ...mapState({
      currentUser: state => state.auth.user,
    })
  },
  mounted() {


  }
}
</script>


<style lang="scss">
</style>
